Subject: Re: How to start windows version gvim for cygwin correctly?
From: "Peng Yu" <[email-masked]>
To: "Luc Hermitte" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 12 May 2004 09:00:54 -0700

Why gvim always change the access permission of the file it edit?  It always
adds the "x" permission to the file.
Is there anyway to forbit gvim do this?
----- Original Message ----- 
From: "Luc Hermitte" <[email-masked]>
To: "Peng Yu" <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, May 12, 2004 4:58 AM
Subject: Re: How to start windows version gvim for cygwin correctly?

> Hello,
>
> * On Tue, May 11, 2004 at 09:30:15PM -0700, Peng Yu
<[email-masked]> wrote:
> > Thank you for you script. I don't change $HOME, $VIM, $VIMRUNTIME in
> > cygwin, because I'm afraid there are some potential conflicts. Do I
> > have to worry about that.
>
> Nope. I don't think so.
> In the properties of my Windows XP system, HOME is set to c:\Users\Luc
> I've patched /etc/profile to make cygwin think it is in fact
> /cygdrive/f/Users/Luc
> Neither VIM nor VIMRUNTIME are set.
> I'm currently using gvim to edit this response. gvim has been launched
> thanks to cyg-wrapper, and it expands $HOME, $VIM and $VIMRUNTIME into:
>     f:\Users\Luc
>     f:\Program Files\Edition\vim
>     f:\Program Files\Edition\vim\vim62
>
> The _vimrc used is the one from $VIM (I do not have to say anything to
> vim), and the viminfo is $HOME/.viminfo
> because of
>     set viminfo=%,'50,\"100,:100,n~/.viminfo
> in my _vimrc.
>
> > BTW, what's the best place to store cyg-wrapper.sh . I store it to
> > /usr/bin. Is /bin better?
>
> Wherever you want. Personnally, I prefer $HOME/bin. Thus the day I
> reinstall cygwin or use it on another computer, I don't forget all the
> little scripts I use.
>
> If I had to choose between cygwin directories, I would use
> /usr/local/bin as I install non-cygwin-standard stuff into /usr/local/
> -- understand, the stuff I've compiled like mutt, a colored version of
> abook, irssi, w3m, librairies, ...
>
> HTH,
> -- 
> Luc Hermitte
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/